Bug 103820 - rhn-applet causing high CPU usage after logging in
rhn-applet causing high CPU usage after logging in
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: rhn-applet (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-09-05 08:39 EDT by Thomas J. Baker
Modified: 2007-04-18 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-23 10:21:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of initial login with high CPU load (185.01 KB, image/jpeg)
2003-09-08 08:37 EDT, Thomas J. Baker
no flags Details

  None (edit)
Description Thomas J. Baker 2003-09-05 08:39:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030701 Galeon/1.3.7

Description of problem:
After logging in to an up to date rawhide system, the rhn-applet appears to
cause problems with X, notification-area-applet, and gnome-panel, such that
those three plus rhn-applet eat once entire CPU:

99 processes: 95 sleeping, 4 running, 0 zombie, 0 stopped
CPU0 states:  31.1% user  36.2% system    0.0% nice   0.0% iowait  32.0% idle
CPU1 states:  36.0% user  30.0% system    0.0% nice   0.0% iowait  33.4% idle
Mem:   515124k av,  233080k used,  282044k free,       0k shrd,   18920k buff
       135204k active,              43776k inactive
Swap: 2056300k av,   15952k used, 2040348k free                   97316k cached
                                                                                
  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME CPU COMMAND
 8920 root      25   0  285M  13M  272M R    38.7  2.6   1:23   1 X
11567 tjb       25   0 16648 6428 15760 R    35.2  1.2   0:10   1 notification-
11522 tjb       25   0 25048  13M 21220 R    31.9  2.6   0:11   1 rhn-applet-gu
11463 tjb       21   0 20920  11M 17816 S    26.1  2.2   0:07   1 gnome-panel
11603 tjb       16   0  4244 1232  3956 R     1.3  0.2   0:00   0 top
    1 root      15   0  1496  140  1348 S     0.0  0.0   0:04   0 init
    2 root      RT   0     0    0     0 SW    0.0  0.0   0:00   0 migration/0
    3 root      34  19     0    0     0 SWN   0.0  0.0   0:00   0 ksoftirqd/0
    4 root      RT   0     0    0     0 SW    0.0  0.0   0:00   1 migration/1
    5 root      34  19     0    0     0 SWN   0.0  0.0   0:00   1 ksoftirqd/1
    6 root       5 -10     0    0     0 SW<   0.0  0.0   0:00   0 events/0
    7 root       5 -10     0    0     0 SW<   0.0  0.0   0:00   1 events/1
    8 root       5 -10     0    0     0 SW<   0.0  0.0   0:01   0 kblockd/0
    9 root       5 -10     0    0     0 SW<   0.0  0.0   0:01   1 kblockd/1
   10 root      15   0     0    0     0 SW    0.0  0.0   0:00   1 kirqd

As soon as I click the applet in the gnome-panel notification area, the CPU
usage drops to normal levels. I've seen this problem on four different systems I
run rawhide on including single CPU systems and SMP systems.

Version-Release number of selected component (if applicable):
rhn-applet-2.0.10-4, gnome-panel-2.3.7-1

How reproducible:
Always

Steps to Reproduce:
1. Log in with rhn-applet in your notification area
2.
3.
    

Actual Results:  CPU level is high, being used by X, gnome-panel,
notification-area-applet, and rhn-applet.

Expected Results:  CPU level is low.

Additional info:

This only started happening recently, maybe in the last week.
Comment 1 Daniel Veillard 2003-09-05 09:49:04 EDT
The notification-area-applet is new stuff. I didn't changed the
applet. My bet is that it's related to the notification-area-applet.
Do you still have the same problem without it ? If yes the
bug is in rhn_applet or one of the components it uses, if no,
well it means the notification-area-applet is not yet stable,
the bug should go there.

Daniel
Comment 2 Thomas J. Baker 2003-09-05 09:56:31 EDT
I can't have the rhn-applet without the notification-area-applet. If I log in
and then kill the rhn-applet, the CPU drops back to normal. As an additional
step, restarting the rhn-applet by hand does not cause the high CPU load again.
So it seems like some type of rhn-applet/notification-area-applet init problem.
Comment 3 Daniel Veillard 2003-09-05 11:04:51 EDT
Do you still have the problem with 
rhn-applet-2.0.10-5
that you can find on http://people.redhat.com/~veillard/

Daniel
Comment 4 Thomas J. Baker 2003-09-05 11:45:37 EDT
Yes, no better. I just noticed that I don't even have to click on the applet to
make it stop eating CPU, I just move the mouse over it and it stops. The
tooltips seem to make it go away.

Comment 5 Daniel Veillard 2003-09-07 06:55:50 EDT
Can you also try rhn-applet-2.0.10-6 also at
 http://people.redhat.com/~veillard/
The problem might have been introduced with a major
revision of GTK python bindings. This may fix the problem.
Also do you use a specific non-US locale ? (I doubt it but 
it's one of the thing who changed recently in rhn-applet).

Daniel
Comment 6 Kyle R Maxwell 2003-09-07 11:27:56 EDT
rhn-applet-2.0.10-6 seems to fix this issue for me.
Comment 7 Kyle R Maxwell 2003-09-07 11:28:38 EDT
Also, I might note (can't speak for reporter) that I'm not using a specific
non-US locale.
Comment 8 Daniel Veillard 2003-09-07 12:52:20 EDT
Okay, now if Thomas can provide feedback that this fixes the problem
he saw that would be perfect !

  thanks for the report,

Daniel
Comment 9 Thomas J. Baker 2003-09-08 08:34:47 EDT
It doesn't fix it for me. I'm starting to think this may be a panel problem. It
seems that I don't even need to move the mouse over the rhn-applet to get the
CPU to go down. I just need to let the bottom panel get focus. After logging in,
it gets focus just by moving the mouse over it because the top panel already has
focus. I've attached a screen shot.
Comment 10 Thomas J. Baker 2003-09-08 08:37:39 EDT
Created attachment 94292 [details]
Screenshot of initial login with high CPU load
Comment 11 Thomas J. Baker 2003-09-08 08:39:44 EDT
And no, I don't have a non-US locale.
Comment 12 Kyle R Maxwell 2003-09-08 13:13:30 EDT
FWIW, the high CPU utilization returned for me today as well. :(
Comment 13 Thomas J. Baker 2003-09-18 14:15:59 EDT
This appears fixed in the latest gnome-panel/rhn-applet
(rhn-applet-2.0.11-2/gnome-panel-2.4.0-1). 
Comment 14 Chris Ricker 2003-10-22 15:48:41 EDT
Anyone still seeing this? It looks fixed here
Comment 15 Kyle R Maxwell 2003-10-22 16:09:47 EDT
WFM. The reporter says he's cool, too, so I think this should be closed.
Comment 16 Daniel Veillard 2003-10-23 11:45:36 EDT
There have been some bugfixes done to the applet <-> notification area 
code, the fix is likely to have come as a side effect of that more general
fix (avoiding multiple socket connections),

 thanks for reporting back and closing it,

Daniel

Note You need to log in before you can comment on or make changes to this bug.